[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Wrong alert in installer

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: Mon, 23 Jan 2012 12:57:44 +0100

On Mon, Jan 23, 2012 at 11:25, Stephane DIDIER
<stephane.didier_at_spirtech.com> wrote:
> At least in TortoiseSVN-1.7.4.22459-win32-svn-1.7.2.msi a wrong alert is displayed (screen capture attached to this post) about Firefox & Thunderbird indicated as "need to be updated".
>
> (I assume that this is a bug, since I see no reason why Tortoise would modify Firefox or Thunderbird.)

Actually, there is a reason: TSVN is a shell extension. And every app
that uses a Shell API automatically loads the TSVN dll. The most
obvious use of the Shell by an appliction is the file-open/file-save
dialog.

Stefan

-- 
       ___
  oo  // \\      "De Chelonian Mobile"
 (_,\/ \_/ \     TortoiseSVN
   \ \_/_\_/>    The coolest Interface to (Sub)Version Control
   /_/   \_\     http://tortoisesvn.net
------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2910525
To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2012-01-23 12:58:29 CET

This is an archived mail posted to the TortoiseSVN Users mailing list.